//---------------------------------------------------------------------------
/*
   CORBA-autolaskurin C++ -kielinen asiakasohjelma
   Miika Nurminen, 27.8.2004
*/
#include <vcl.h>
#pragma hdrstop

#include <corba.h>
#include "laskuriform.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------

testi::iCarCounter_ptr __fastcall TForm1::GetiCarCounterHA_(void)
{
  if (FiCarCounterHA_ == NULL)
  {
     FiCarCounterHA_ = testi::iCarCounter::_bind("HA");
  }
  return FiCarCounterHA_;
}

void __fastcall TForm1::SetiCarCounterHA_(testi::iCarCounter_ptr _ptr)
{
  FiCarCounterHA_ = _ptr;
}

testi::iCarCounter_ptr __fastcall TForm1::GetiCarCounterKA_(void)
{
  if (FiCarCounterKA_ == NULL)
  {
     FiCarCounterKA_ = testi::iCarCounter::_bind("KA");
  }
  return FiCarCounterKA_;
}

void __fastcall TForm1::SetiCarCounterKA_(testi::iCarCounter_ptr _ptr)
{
  FiCarCounterKA_ = _ptr;
}
void __fastcall TForm1::Button1Click(TObject *Sender)
{
  CarCounterHA->Inc();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button2Click(TObject *Sender)
{
  CarCounterKA->Inc();
}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button3Click(TObject *Sender)
{
  CarCounterHA->Clear();
  CarCounterKA->Clear();  
}
//---------------------------------------------------------------------------
