unit corbalaskuri;
(*
   CORBA-laskurin asiakassovellus
   Miika Nurminen, 28.8.2004
*)
interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Corba, testi_c, testi_i, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Label1: TLabel;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
  { private declarations }
  protected
    // declare your Corba interface variables like this
    // Acct : Account;
    laskuriHa:iCarCounter;
    laskuriKa:iCarCounter;
    procedure InitCorba;
    procedure UpdateLabels;
  { protected declarations }
  public
  { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.InitCorba;
begin
  CorbaInitialize;
  // Bind to the Corba server like this
  // Acct := TAccountHelper.bind;
  laskuriHa:=TiCarCounterHelper.Bind('HA');
  laskuriKa:=TiCarCounterHelper.Bind('KA');
  caption:='CarCounter Client Connected...';

  Button2.Enabled:=true;
  Button3.Enabled:=true;
  UpdateLabels;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  InitCorba;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  laskuriHa.Inc;
  UpdateLabels;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  laskuriKa.Inc;
  UpdateLabels;
end;

procedure TForm1.UpdateLabels;
begin
  Label1.Caption:=IntToStr(laskuriHa.Count);
  Label2.Caption:=IntToStr(laskuriKa.Count);
end;

end.